Name:           perl-Debug-ShowStuff
Version:        1.16
Release:        2%{?dist}
Summary:        A collection of handy debugging routines
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Debug-ShowStuff/
Source0:        http://www.cpan.org/authors/id/M/MI/MIKO/Debug-ShowStuff-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(Carp)
# XXX: BuildRequires:  perl(Class::ISA)
BuildRequires:  perl(constant)
# XXX: BuildRequires:  perl(Devel::StackTracer)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(FileHandle)
# XXX: BuildRequires:  perl(Filter::Util::Call)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Seekable)
# XXX: BuildRequires:  perl(MemHandle)
BuildRequires:  perl(overload)
# XXX: BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(String::Util)
BuildRequires:  perl(Symbol)
# XXX: BuildRequires:  perl(Term::ReadKey)
# XXX: BuildRequires:  perl(Text::TabularDisplay)
BuildRequires:  perl(Tie::IxHash)
BuildRequires:  perl(vars)
# Tests only
BuildRequires:  perl(Test)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Class::ISA)
Requires:       perl(Devel::StackTrace)
Requires:       perl(MemHandle)
Requires:       perl(Scalar::Util)
Requires:       perl(Term::ReadKey)
Requires:       perl(Text::TabularDisplay)

%description
Debug::ShowStuff grew dynamically from my needs in debugging code. I found
myself doing the same tasks over and over... displaying the keys and values
in a hash, displaying the elements in an array, displaying the output of
STDERR in a web page, etc. Debug::ShowStuff began as two or three of my
favorite routines and grew as I added to that collection. Finally I decided
to publish these tools in the hope that other Perl programmers will find
them useful.

%prep
%setup -q -n Debug-ShowStuff-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Petr Šabata <contyk@redhat.com> 1.16-1
- Initial packaging
